/*
   fspace.c -- source to fspace, a dinky little utility that was 
   developed mostly as an exercise in pointers to structs than for 
   any actual use.  fspace prints out information on filesystem usage 
   for whatever file you hand it; give it a path and it will tell 
   you how much space is available on that filesystem.
   
   it comes in handy on rescue floppies since it's small, fast, and 
   only 75Kb when statically linked and stripped.  (of course, this is 
   no great accomplishment; it's only 4Kb when dynamically linked, but 
   such is life...)

   written by cyrus durgin (cider@speakeasy.org) - do whatever you want 
   with it.  if it breaks your stuff, i claim absolutely no 
   responsibility.  if you do something cool with it, i'd like to hear 
   about it, since i find that to be a rather unlikely prospect.

   have a nice day.

   12/12/96
*/

#include <stdio.h>
#include <sys/vfs.h>
#include "fspace.h"

void main (int argc, char **argv) {

   struct statfs mystat;
   struct sizes mysize;
   char *path;

   if (argc == 1) {
      show_useage();
   } else {
      path = argv[1];
      (void) fprintf(stdout, "Filesystem space for %s:\n", path);
      if (statfs(path, &mystat)) {
         (void) fprintf(stderr, "statfs() failed on %s...\n", path);
      } else {
         do_sizes(&mysize, &mystat);
      }
   }
   return;
}
