/*
   fspace.h -- header for fspace, a dinky little utility that was 
   developed mostly as an exercise in pointers to structs than for 
   any actual use.  fspace prints out information on filesystem usage 
   for whatever file you hand it; give it a path and it will tell 
   you how much space is available on that filesystem.
   
   it comes in handy on rescue floppies since it's small, fast, and 
   only 75Kb when statically linked and stripped.  (of course, this is 
   no great accomplishment; it's only 4Kb when dynamically linked, but 
   such is life...)

   written by cyrus durgin (cider@speakeasy.org) - do whatever you want 
   with it.  if it breaks your stuff, i claim absolutely no 
   responsibility.  if you do something cool with it, i'd like to hear 
   about it, since i find that to be a rather unlikely prospect.

   have a nice day.

   12/12/96
*/

struct sizes {
   float MBtotal;
   float MBused;
   float MBfree;
   float percent;
};

void do_sizes(struct sizes *size, struct statfs *fs) {
   size->MBtotal = ((float)fs->f_blocks / 1000);
   size->MBused = (((float)fs->f_blocks - fs->f_bavail) / 1000);
   size->MBfree = ((float)fs->f_bavail / 1000);
   size->percent = 100 * ((float)fs->f_bfree/(float)fs->f_blocks);
   (void) fprintf(stdout, "   Total Size: %.1f MB\n", size->MBtotal);
   (void) fprintf(stdout, "   Total Used: %.1f MB\n", size->MBused);
   (void) fprintf(stdout, "   Total Free: %.1f MB\n", size->MBfree);
   (void) fprintf(stdout, "   Percent Free: %.0f%%\n", size->percent);
   return;
}

void show_useage(void) {
   (void) fprintf(stdout, "useage: fspace filename\n");
   return;
}
